Skip to main content
GET
/
v2
/
entity-ingestion-configs
/
{ingestion_config_id}
/
external-schema
Get External Entity Schema
curl --request GET \
  --url https://public.api.serval.com/v2/entity-ingestion-configs/{ingestion_config_id}/external-schema \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "ingestionConfigId": "<string>",
    "jsonSchema": {},
    "sampleSize": 123,
    "totalAssetsSampled": 123,
    "extractedAt": "2023-11-07T05:31:56Z",
    "inference": {
      "inferredEntityTypeId": "<string>",
      "fieldMappings": [
        {
          "externalFieldPath": "<string>",
          "internalFieldId": "<string>"
        }
      ],
      "reasoning": "<string>"
    },
    "entityCount": 123,
    "sourceAppInstanceId": "<string>",
    "svflowUserIngestionConfigId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ingestion_config_id
string
required

The ingestion config whose discovered external schema to read.

Response

Success

data
data · object

The discovered external schema (its json_schema lists the available external field paths to map from).